commit: 1f8ecb453394246af0a2e20a3dd6086fabd8fbd1
Author: Ian Stakenvicius <axs <AT> gentoo <DOT> org>
AuthorDate: Mon Jul 25 20:10:50 2016 +0000
Commit: Ian Stakenvicius <axs <AT> gentoo <DOT> org>
CommitDate: Mon Jul 25 20:10:53 2016 +0000
URL: https://gitweb.gentoo.org/proj/mozilla.git/commit/?id=1f8ecb45
firefox-48 - use skia by default
Skia is the default upstream 2D canvas renderer, and it is highly recommended
though not yet fully required to use it. This commit enables it as a USE flag
(default-enabled), and in order to circumvent a bug, forces a pref to the
value 'cairo' (instead of the erroneous default value 'skia') when the flag
is disabled.
eclass/mozconfig-v6.48.eclass | 10 ++++++++--
1 file changed, 8 insertions(+), 2 deletions(-)
diff --git a/eclass/mozconfig-v6.48.eclass b/eclass/mozconfig-v6.48.eclass
index 266b13b..d5040e0 100644
--- a/eclass/mozconfig-v6.48.eclass
+++ b/eclass/mozconfig-v6.48.eclass
@@ -83,7 +83,7 @@ inherit flag-o-matic toolchain-funcs mozcoreconf-v4
# Set the variable to any value if the use flag should exist but not be
default-enabled.
# use-flags common among all mozilla ebuilds
-IUSE="${IUSE} dbus debug +jemalloc3 neon pulseaudio selinux
startup-notification system-cairo
+IUSE="${IUSE} dbus debug +jemalloc3 neon pulseaudio selinux +skia
startup-notification system-cairo
system-harfbuzz system-icu system-jpeg system-libevent system-sqlite
system-libvpx"
# some notes on deps:
@@ -280,7 +280,7 @@ mozconfig_config() {
mozconfig_annotate 'Gentoo default' --with-system-png
mozconfig_annotate '' --enable-system-ffi
mozconfig_annotate 'Gentoo default to honor system linker'
--disable-gold
- mozconfig_annotate 'Gentoo default' --disable-skia
+ mozconfig_use_enable skia
mozconfig_annotate '' --disable-gconf
mozconfig_annotate '' --with-intl-api
@@ -401,4 +401,10 @@ mozconfig_install_prefs() {
echo
"sticky_pref(\"gfx.font_rendering.graphite.enabled\",true);" \
>>"${prefs_file}" || die
fi
+
+ # force cairo as the canvas renderer if USE=skia is disabled
+ if ! use skia ; then
+ echo "lockPref(\"gfx.canvas.azure.backends\",\"cairo\");" \
+ >>"${prefs_file}" || die
+ fi
}